Skip to main content
GET
List topology groups

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

ancestor_id
string<uuid>[]

Multiple values may be separated by commas.

annotation_eq
object

Filter by annotation key=value pairs (AND semantics). Use annotation_eq[key]=value.

annotation_has
string

Filter by annotation key existence (comma-separated, AND semantics).

facet
enum<string>
  • networking - networking
  • power - power
Available options:
networking,
power
label
string
parent_id
string<uuid>[]

Multiple values may be separated by commas.

site_id
string<uuid>[]

Multiple values may be separated by commas.

tag
string

Filter by tags (comma-separated, OR semantics).

top_level
boolean
type
enum<string>

Optional. Keep only groups of this tier; pod is the pod set.

  • root - root
  • super-spine - super-spine groups multiple spines together
  • spine - spine groups multiple pods together
  • pod - pod groups either multiple devices or multiple nvlink-domains together
  • nvlink-domain - nvlink-domain groups multiple devices together (min: 1)
  • unknown - unknown
Available options:
root,
super-spine,
spine,
pod,
nvlink-domain,
unknown

Response

id
string<uuid>
required
read-only
facet
enum<string>
required
  • networking - networking
  • power - power
Available options:
networking,
power
label
string
required
Maximum string length: 50
Pattern: ^[-a-zA-Z0-9_]+$
type
enum<string>
required
  • root - root
  • super-spine - super-spine groups multiple spines together
  • spine - spine groups multiple pods together
  • pod - pod groups either multiple devices or multiple nvlink-domains together
  • nvlink-domain - nvlink-domain groups multiple devices together (min: 1)
  • unknown - unknown
Available options:
root,
super-spine,
spine,
pod,
nvlink-domain,
unknown
site
string<uuid>
required
site_name
string
required
read-only
parent_label
string | null
required
read-only
devices
string<uuid>[]
required
read-only
device_count
integer
required
read-only
children
string<uuid>[]
required
read-only
path_labels
string[]
required
read-only

Serializer for topology group links.

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
parent
string<uuid> | null
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.